#!/bin/bash
echo "Creating vanilla predeploy!"
# Set path correclty
if [[ $PWD  == *"dist" ]];
then cd ..
fi
# If .env exists, ignore it
if [[ ! -f ".env" ]];then
  echo "Building vanilla env file!"
  echo "PORT=52026
NUBIAN_INTERNAL_URL=\${NUBIAN_INTERNAL_URL}
REACT_APP_CAIRO_PUBLIC_URL=\${CAIRO_PUBLIC_URL}" >> .env
fi
# Install node dependencies
echo "Installing node depencencies!"
npm i
echo "Building JS Bundle!"
npm run build:react
echo "Building docker image"
docker-compose build
